|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Static Public Member Functions | Public Attributes
gameplay::Theme::UVs Struct Reference

`#include <Theme.h>`

List of all members.

## Public Member Functions

| UVs ()
| UVs (float u1, float v1, float u2, float v2)

## Static Public Member Functions

static const UVs & | empty ()
static const UVs & | full ()

## Public Attributes

float | u1
float | v1
float | u2
float | v2

## Detailed Description

Struct representing the UV coordinates of a rectangular image.

## Constructor & Destructor Documentation

gameplay::Theme::UVs::UVs | ( |  | ) |

Constructor.

gameplay::Theme::UVs::UVs | ( | float | u1,
|  | float | v1,
|  | float | u2,
|  | float | v2
| ) |  |

Constructor

Parameters:

  u1 | u component of the first UV coordinate.
  v1 | v component of the first UV coordinate.
  u2 | u component of the second UV coordinate.
  v2 | v component of the second UV coordinate.

## Member Function Documentation

static const UVs& gameplay::Theme::UVs::empty | ( |  | ) | `[static]`

Gets an empty UVs struct (0, 0, 0, 0).

static const UVs& gameplay::Theme::UVs::full | ( |  | ) | `[static]`

Gets UVs covering an entire texture (0, 0, 1, 1).

## Member Data Documentation

float gameplay::Theme::UVs::u1

u component of the first UV coordinate.

float gameplay::Theme::UVs::u2

u component of the second UV coordinate.

float gameplay::Theme::UVs::v1

v component of the first UV coordinate.

float gameplay::Theme::UVs::v2

v component of the second UV coordinate.

All Classes Functions Variables Typedefs Enumerations Enumerator